#include "../code-files/CfLayout.h"
#include "CtJavaArray.h"


CtJavaArray::CtJavaArray( const CtType &elements )
  : CtArray( "JA_" + elements, elements )
{
}


void CtJavaArray::elaborate( CfLayout &out ) const
{
  out << "#include <java_array_header.h>\n";  
  elements.define( out );

  out << "struct " << name << " {\n"
      << "  java_array_header header;\n"
      << "  " << elements.name << " data[1];\n"
      << "};\n";

  declare( out );
}


// Local Variables:
// c-file-style: "gnu"
// End:
