#ifndef _include_CtTitaniumArray_h_
#define _include_CtTitaniumArray_h_


#include "CtArray.h"


class CtInstance;
class CtReference;


class CtTitaniumArray : public CtArray {
public:
  CtTitaniumArray( const CtReference &, unsigned );

  const CtReference &data;
  const CtType &domain;
  
protected:
  void elaborate( CfLayout & ) const;

private:
  static const string mangle( const CtReference &, unsigned );
  
  const unsigned arity;
};


#endif // !_include_CtTitaniumArray_h_


// Local Variables:
// c-file-style: "gnu"
// End:
