#include "../c-types/CtType.h"
#include "CfSource.h"


CfSource::CfSource( const CtType &type )
  : CfCode( type.name, 'c' )
{
  initialize();
}


CfSource::CfSource( const string &basename )
  : CfCode( basename, 'c' )
{
  initialize();
}


void CfSource::initialize()
{
  *this << "#include \"titanium.h\"\n";
  includeNeeds();
}


// Local Variables:
// c-file-style: "gnu"
// End:
