#include <cstring>
#include <iostream.h>
#include "check.h"


void check( const char task[], const ios &stream )
{
  if (!stream)
    fatal( task );
}


int check( const char task[], int status, int errorCode )
{
  if (status)
    return status;
  else
    fatal( task, errorCode );
}


void fatal( const char task[], int errorCode )
{
  cerr << "local inference error: " << task << ": "
       << (errorCode ? strerror( errorCode ) : "unknown error")
       << endl;
  exit( errorCode ? errorCode : -1 );
}


void fatal( const string &task, int errorCode )
{
  fatal( task.c_str(), errorCode );
}
