#include <netdb.h>
#include <stdlib.h>
#include <unistd.h>

char *RUNTIME_MODEL = "split-c";

#include "main.h"

extern void region_init(void);
extern void set_handlers();
extern void bulkSetupHandlers();

int splitc_main(int argc, char **argv)
{
  if (getenv("TI_FREEZE"))
    {
      char hostname[MAXHOSTNAMELEN] = "(unknown)";
      volatile int frozen = 1;

      gethostname(hostname, sizeof(hostname));
      printf("frozen for debugger: host %s, pid %d\n", hostname, getpid());
      
      while (frozen)
	;
    }
  region_init();
  set_handlers();
  bulkSetupHandlers();
  ti_main(argc, argv);
  return 0;
}
