#ifndef _INCLUDE_TLIB_NATIVE_UTILS_H_
#define _INCLUDE_TLIB_NATIVE_UTILS_H_

#include "linkage.h"
#include "mem-common.h"
#include "primitives.h"


EXTERN_C void checkArrayBounds( jint, jint, jint );
EXTERN_C void tossNullPointerException();


#define CHECK_NULL_GLOBAL( object )		\
  do {						\
    if (isNull(object))				\
      tossNullPointerException();		\
  } while(0)


#define CHECK_NULL_LOCAL( object )		\
  do {						\
    if (!(object))				\
      tossNullPointerException();		\
  } while(0)


#endif
