#include "gc.h"
#include "native-str-utils.h"


typedef    cl_java_lang_Double    Double;
typedef GP_cl_java_lang_Double GP_Double;


GP_Double cl_java_lang_Double_mt_valueOf_GP_cl_java_lang_String(GP_cl_java_lang_String s)
{
    const jdouble value = stringToDouble(s);
    
    GP_Double result;
    Double *newbie = (Double *) ti_malloc( sizeof( Double ) );
    cl_java_lang_Double_mt_Double_jdouble( newbie, value );
    
    globalize( result, newbie );
    return result;
}


jlong cl_java_lang_Double_mt_doubleToLongBits_jdouble( jdouble value )
{
    /* !! This may not give the same bit representation
       as Java, particularly for Inf and NaN.
       */
    assert( sizeof(jdouble) == sizeof(jlong) );
    return *((jlong *) &value);
}


jdouble cl_java_lang_Double_mt_longBitsToDouble_jlong( jlong bits )
{
    assert( sizeof(jdouble) == sizeof(jlong) );
    return *((jdouble *) &bits);
}


GP_cl_java_lang_String cl_java_lang_Double_mt_toString_jdouble( jdouble value )
{
    return doubleToString( value );
}
