#include "TI_GLOBAL_ARR_jint_1.h"
#include "domains.h"
#include "cl_ti_domains_tiDomain1.h"
#include "cl_ti_domains_tiDomain2.h"
#include "cl_ti_domains_tiDomain3.h"
#include "cl_ti_domains_tiRectDomain1.h"
#include "cl_ti_domains_tiRectDomain2.h"
#include "cl_ti_domains_tiRectDomain3.h"
#include "main.h"
#include "native-stubs.h"
#include <stdarg.h>
#include <titanium.h>


jint cl_ti_lang_Ti_mt_thisProc()
{
    return MYPROC;
}

jint cl_ti_lang_Ti_mt_numProcs()
{
    return PROCS;
}

TI_ARR_jint_1 cl_ti_lang_Ti_mt_myTeam(void)
{
  jint i;
  TI_ARR_jint_1 x;
  P1 zero, one, procs;

  cl_ti_domains_tiPoint1_construct(zero, 0);
  cl_ti_domains_tiPoint1_construct(one, 1);
  cl_ti_domains_tiPoint1_construct(procs, PROCS);

  x = _ti_CONSTRUCT(jint, 1)("(myTeam)", NULL, cl_ti_domains_tiRectDomain1_mt_tiRectDomain1_cl_ti_domains_tiPoint1_cl_ti_domains_tiPoint1_cl_ti_domains_tiPoint1(zero, procs, one));
  for (i = 0; i < PROCS; i++) ASSIGN_LOCAL(x.A + i, i);
  return x;
}

#define shortcut( type, arity )  GP_cl_ti_domains_ti ## type ## arity
#define D(n)    shortcut( Domain, n )


#define define_printN(N)				\
							\
void printrd ## N (RD ## N R)				\
{							\
  cl_ti_domains_tiRectDomain ## N ## _mt_println(R);	\
}							\
							\
void printd ## N (D(N) f0_d)				\
{							\
  cl_ti_domains_tiDomain ## N ## _mt_println_G(f0_d);	\
}

define_printN(1)
define_printN(2)
define_printN(3)

typedef void (voidfn)(); 

/* This is for dumping arrays.  The first thing in the array is
assumed to be a pointer to a function that dumps the array. */
void dump(voidfn **f)
{
  (*((void (*)(voidfn **, char *, char *)) *f))(f, NULL, NULL);
}

void dump2(char *dest, voidfn **f)
{
  (*((void (*)(voidfn **, char *, char *)) *f))(f, dest, NULL);
}

/*
  dest = va_arg(args, char *);
  if (dest != NULL) {
    while ((q = va_arg(args, char *)) != NULL)
      strcat(buf, q);
  } */
  

static volatile jint bcastIntVal;
static volatile jdouble bcastDoubleVal;
static volatile jboolean bcastBoolVal;
static GP_cl_java_lang_Object volatile bcastObjVal;
static volatile cl_ti_domains_tiRectDomain3 bcastRD3;

void cl_ti_lang_Ti_mt_barrier()
{
    barrier();
}
