#include <sys/time.h>
#include "layout!GP_jlong.h"
#include "layout!LP_jlong.h"


void cl_ti_lang_Timer_mt_gettimeofday_local_L(LP_cl_ti_lang_Timer this) {
  struct timeval t;
  LP_jlong curSec_p, curUsec_p;
  FIELD_ADDR_LOCAL(curSec_p, this, cl_ti_lang_Timer_fld_curSec);
  FIELD_ADDR_LOCAL(curUsec_p, this, cl_ti_lang_Timer_fld_curUsec);
  gettimeofday(&t, NULL);
  ASSIGN_LOCAL(curSec_p, t.tv_sec);
  ASSIGN_LOCAL(curUsec_p, t.tv_usec);
}

void cl_ti_lang_Timer_mt_gettimeofday_global_G(GP_cl_ti_lang_Timer this) {
  struct timeval t;
  GP_jlong curSec_p, curUsec_p;
  FIELD_ADDR_GLOBAL(curSec_p, this, cl_ti_lang_Timer_fld_curSec);
  FIELD_ADDR_GLOBAL(curUsec_p, this, cl_ti_lang_Timer_fld_curUsec);
  gettimeofday(&t, NULL);
  ASSIGN_GLOBAL(curSec_p, t.tv_sec);
  ASSIGN_GLOBAL(curUsec_p, t.tv_usec);
}
