#ifndef _INCLUDE_ST_FIELD_H_
#define _INCLUDE_ST_FIELD_H_


class TreeNode;
class Decl;
class TypeNode;
class TreeNode;


class TreeNode::FieldContext // The static analysis FieldContext for resolveField
{
public:
  FieldContext() : currentClass(NULL), methodArgs(NULL), inStatic(false) { }
  FieldContext(const FieldContext *old) { *this = *old; }
  Decl *currentPackage;
  TypeNode *currentClass;
  TreeNode *methodArgs;
  bool inStatic; // true while in static code
};


#endif
